Bug 808447 - update for httpd 2.4
update for httpd 2.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mod_security (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 08:05 EDT by Joe Orton
Modified: 2012-05-07 07:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 07:58:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2012-03-30 08:05:15 EDT
mod_security needs to be rebuilt against httpd 2.4.

The 2.5.13 release in Raw Hide does not build as-is.
Rebasing to 2.6.5 would fix this, but it looks like upstream
no longer ship a rule set, so some further work would be needed.

Please see also the draft for packaging changes required:
http://fedoraproject.org/wiki/PackagingDrafts/ApacheHTTPModules
Comment 1 Fedora Admin XMLRPC Client 2012-04-26 06:45:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Peter Vrabec 2012-05-07 07:58:04 EDT
I have upgraded mod_security package in rawhide. There is also a new package that provides ModSecurity rule set. Please see mod_security_crs.

Note You need to log in before you can comment on or make changes to this bug.